.nolist
#define bcall(label) RST 28h \ .dw label
#define bjump(label) call 50h \ .dw label
#define bjumpz(label) jr nz,$+7 \ call 50h \ .dw label
#define bcallz(xxxx)    jr nz,$+5       \ rst 28h \ .dw xxxx
#define bcallnz(xxxx)   jr      z,$+5   \ rst 28h \ .dw xxxx
#define bcallc(xxxx)    jr      nc,$+5  \ rst 28h \ .dw xxxx
#define bcallnc(xxxx)   jr      c,$+5   \ rst 28h \ .dw xxxx
#define AppOnError(xxxx)  ld hl, xxxx     \ call APP_PUSH_ERRORH
#define AppOffError()     call APP_POP_ERRORH
#IFNDEF APP
#ifdef TI83P
 .org progstart-2
 .db     $BB,$6D
#endif
#ENDIF

#ifdef ZES
	.org 931Eh
	.db $E7,$39,$5F,$5A,$45,$53,$3F,$D5,$3F
	ccf
	jr lblStart
	.dw libs-progstart
	.dw tTitle
#endif

#ifdef MIRAGEOS
	ret
	.db 3
#endif

#ifdef ION
  ret
  jr nc,lblStart
#endif

#ifndef ZES
#ifdef SOS
  ccf
#ifndef LIB
	jr lblStart
	.dw 0
ionfastcopy = _grbufcpy
#else
  jr z,lblStart
	.dw	libs-progstart
#endif
	.dw tTitle
#endif
#endif

#ifdef VENUS
.org $9329
	.db	$e7,"9_[V?",1
	jr nc,lblStart
vFastCopy	=$FE75
ionfastcopy = vFastCopy

#Endif

#IFDEF APP
.org $4000

#IFNDEF NOAPPHEADER
;This is the application header definition area required for all apps.
 .db 080h,0Fh    ;Field: Program length
 .db   00h,00h,00h,00h ;Length=0 (N/A for unsigned apps)
 .db 080h,012h    ;Field: Program type
 .db   01h,04h  ;Type= Shareware, TI-83Plus
 .db 080h,021h    ;Field: App ID
 .db   01h       ;Id = 1
 .db 080h,031h    ;Field: App Build
 .db   01h       ;Build = 1
 .db 080h,048h    ;Field: App Name
 .db APPNAME
 .db 080h,081h    ;Field: App Pages
 .db APPPAGES
 .db 080h,090h    ;No default splash screen
 .db 03h,026h ,09h,04h, 04h,06fh,01bh,80h     ;Field: Date stamp- 5/12/1999
 .db 02h,0dh,040h                             ;Dummy encrypted TI date stamp signature
 .db 0a1h ,06bh ,099h ,0f6h ,059h ,0bch ,067h 
 .db 0f5h ,085h ,09ch ,09h ,06ch ,0fh ,0b4h ,03h ,09bh ,0c9h 
 .db 03h ,032h ,02ch ,0e0h ,03h ,020h ,0e3h ,02ch ,0f4h ,02dh 
 .db 073h ,0b4h ,027h ,0c4h ,0a0h ,072h ,054h ,0b9h ,0eah ,07ch 
 .db 03bh ,0aah ,016h ,0f6h ,077h ,083h ,07ah ,0eeh ,01ah ,0d4h 
 .db 042h ,04ch ,06bh ,08bh ,013h ,01fh ,0bbh ,093h ,08bh ,0fch 
 .db 019h ,01ch ,03ch ,0ech ,04dh ,0e5h ,075h 
 .db 80h,7Fh      ;Field: Program Image length
 .db   0,0,0,0    ;Length=0, N/A
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved
 .db   0,0,0,0    ;Reserved
#ENDIF
#ENDIF
.list
.end
